Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Attributes | List of all members
SBFReader Class Reference
Inheritance diagram for SBFReader:

## Public Member Functions
| SBFReader (const char *szObjFile)
int | getNumVertices ()
int | getNumTexcoords ()
int | getNumNormals ()
float * | getVertices ()
float * | getNormals ()
float * | getTexCoords ()
virtual int | getVertexAdjCount (const int _vertexID) const
virtual int | getVertexAdjFace (const int _vertexID, const int _k) const
virtual int | getFaceAdjCount (int _faceID)
virtual int | getFaceAdjFace (int _faceID, int _k)
void | writeFile (const char *szFile)
Public Member Functions inherited from ACG::MeshCompilerDefaultFaceInput
| MeshCompilerDefaultFaceInput (int _numFaces, int _numIndices)
int | getNumFaces () const
int | getNumIndices () const
int | getFaceSize (const int _faceID) const
int | getSingleFaceAttr (const int _faceID, const int _faceCorner, const int _attrID) const
bool | getFaceAttr (const int _faceID, const int _attrID, int *_out) const
void | dbgWriteToObjFile (FILE *_file, int _posAttrID=0, int _normalAttrID=-1, int _texcAttrID=-1)
void | setFaceData (int _faceID, int _size, int *_data, int _attrID=0)
Public Member Functions inherited from ACG::MeshCompilerFaceInput
virtual int * | getFaceAttr (const int _faceID, const int _attrID) const

## Private Attributes
int | m_NumVerts
int | m_NumNormals
int | m_NumTexCoords
std::vector< float > | m_Vertices
std::vector< float > | m_Normals
std::vector< float > | m_TexCoords
int | m_PosAttrID
int | m_NormAttrID
int | m_TexCAttrID
std::vector< unsigned char > | m_AdjVertexCount
std::vector< int > | m_AdjVertexOffset
std::vector< int > | m_AdjVertexBuf
std::vector< int > | m_AdjFaceOffset
std::vector< unsigned char > | m_AdjFaceCount
std::vector< int > | m_AdjFaceBuf

## Additional Inherited Members
Protected Attributes inherited from ACG::MeshCompilerDefaultFaceInput
int | numFaces_
int | numIndices_
std::vector< int > | faceOffset_
std::vector< int > | faceSize_
std::vector< int > | faceData_ [16]

## Detailed Description

Definition at line 59 of file MeshCompiler_test.cc.

## Member Function Documentation

virtual int SBFReader::getVertexAdjCount | ( | const int | _vertexID | ) | const
| inline virtual

Get the number of adjacent faces for a vertex.

Parameters

  _vertexID | vertex index

Returns
  number of adjacent faces, return -1 if adjacency information unavailable

Reimplemented from ACG::MeshCompilerFaceInput.

Definition at line 73 of file MeshCompiler_test.cc.

virtual int SBFReader::getVertexAdjFace | ( | const int | _vertexID,
|  | const int | _k
| ) |  | const
| inline virtual

Get the index of an adjacent face for a vertex.

Parameters

  _vertexID | vertex index
  _k | adjacency list entry in range [0, .., adjCount - 1]

Returns
  face id of adjacent face, return -1 if adjacency information is available

Reimplemented from ACG::MeshCompilerFaceInput.

Definition at line 78 of file MeshCompiler_test.cc.

The documentation for this class was generated from the following file:

- ACG/tests/MeshCompiler/MeshCompiler_test.cc